summaryrefslogtreecommitdiff
path: root/dev-python
diff options
context:
space:
mode:
authorV3n3RiX <venerix@koprulu.sector>2024-02-15 23:36:27 +0000
committerV3n3RiX <venerix@koprulu.sector>2024-02-15 23:36:27 +0000
commit31c69c39a3648b52dd931a40b198714249e8a5ec (patch)
treec7bfb4db01cf185b6b8f7bde72d9cc5d14d8db22 /dev-python
parentdce60e5aa0a12ccc07c10a0a2c3f8f063393b32a (diff)
gentoo auto-resync : 15:02:2024 - 23:36:26
Diffstat (limited to 'dev-python')
-rw-r--r--dev-python/Manifest.gzbin269042 -> 269211 bytes
-rw-r--r--dev-python/aioitertools/Manifest3
-rw-r--r--dev-python/aioitertools/aioitertools-0.11.0.ebuild24
-rw-r--r--dev-python/aioitertools/metadata.xml12
-rw-r--r--dev-python/hypothesis/Manifest2
-rw-r--r--dev-python/hypothesis/hypothesis-6.98.6.ebuild90
-rw-r--r--dev-python/matplotlib/Manifest2
-rw-r--r--dev-python/matplotlib/matplotlib-3.8.3.ebuild371
-rw-r--r--dev-python/openapi-core/Manifest3
-rw-r--r--dev-python/openapi-core/files/openapi-core-0.19.0-pytest-8.patch92
-rw-r--r--dev-python/openapi-core/openapi-core-0.19.0.ebuild76
-rw-r--r--dev-python/pytest-testinfra/Manifest2
-rw-r--r--dev-python/pytest-testinfra/pytest-testinfra-10.1.0.ebuild57
-rw-r--r--dev-python/python3-xapp/Manifest4
-rw-r--r--dev-python/python3-xapp/files/python3-xapp-configurable-python-target.patch31
-rw-r--r--dev-python/python3-xapp/python3-xapp-2.4.1-r1.ebuild (renamed from dev-python/python3-xapp/python3-xapp-2.4.1.ebuild)7
-rw-r--r--dev-python/python3-xapp/python3-xapp-2.4.1-r2.ebuild58
17 files changed, 829 insertions, 5 deletions
diff --git a/dev-python/Manifest.gz b/dev-python/Manifest.gz
index 78afe3fd08fb..e821bef27a44 100644
--- a/dev-python/Manifest.gz
+++ b/dev-python/Manifest.gz
Binary files differ
diff --git a/dev-python/aioitertools/Manifest b/dev-python/aioitertools/Manifest
new file mode 100644
index 000000000000..b3e1f299ba64
--- /dev/null
+++ b/dev-python/aioitertools/Manifest
@@ -0,0 +1,3 @@
+DIST aioitertools-0.11.0.tar.gz 32053 BLAKE2B 1dea436f26f738b72aa2a2085d102b7228250f463cbc0cc45d8875a3a78e5468b3d3e7149f2df8754dbc6611f4f62e79ad263669a1f228e576fc2807d2f2f135 SHA512 ed2ca827ad72eadb541eab6621bb3d4a654f5f35a8ec185906aac558e2f7b7d6956e24b57b8540d48fdf48e6f630547ec0cc83627307c227bfc33bf1bf44c451
+EBUILD aioitertools-0.11.0.ebuild 523 BLAKE2B 5fd3fa7a87ae9963a2006bbd14d391cc7c86d4948305381cec399cb361dc3c9e53e14b709de30e3d0a63d7ac262b97dbb102f552ea14069c4a8bd1111c9d050f SHA512 e83094abcef71818700fbf404e98c60710ecea2680389f1ab5cc4c89265e85ca1329acffb2772946c50db4d7b02d79cfc9d650cd8ebc76e09ebb633403b43616
+MISC metadata.xml 378 BLAKE2B c9794600cc08c3440d5613efbc5202027d74a793db0558000bc7e30cbd2f02fac8407b3d58b955e700795af8d7c0fec3b858668d9f5f58e9685fcce334d55a6d SHA512 d57650f2e8bd17172782f700ad90a65eec4d3e67bc192f2fba16af34f69f305e5a2c502b65fb47b714a7d757004e743963b9f1f237ff0d49f0c66e1cd3029e5b
diff --git a/dev-python/aioitertools/aioitertools-0.11.0.ebuild b/dev-python/aioitertools/aioitertools-0.11.0.ebuild
new file mode 100644
index 000000000000..e2eee8da37c8
--- /dev/null
+++ b/dev-python/aioitertools/aioitertools-0.11.0.ebuild
@@ -0,0 +1,24 @@
+# Copyright 2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=flit
+PYTHON_COMPAT=( pypy3 python3_{10..12} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="itertools and builtins for AsyncIO and mixed iterables"
+HOMEPAGE="
+ https://aioitertools.omnilib.dev/
+ https://github.com/omnilib/aioitertools/
+ https://pypi.org/project/aioitertools/
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~riscv ~x86"
+
+python_test() {
+ "${EPYTHON}" -m aioitertools.tests || die
+}
diff --git a/dev-python/aioitertools/metadata.xml b/dev-python/aioitertools/metadata.xml
new file mode 100644
index 000000000000..83f97724565d
--- /dev/null
+++ b/dev-python/aioitertools/metadata.xml
@@ -0,0 +1,12 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "https://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="project">
+ <email>python@gentoo.org</email>
+ </maintainer>
+ <stabilize-allarches/>
+ <upstream>
+ <remote-id type="github">omnilib/aioitertools</remote-id>
+ <remote-id type="pypi">aioitertools</remote-id>
+ </upstream>
+</pkgmetadata>
diff --git a/dev-python/hypothesis/Manifest b/dev-python/hypothesis/Manifest
index 6352e0a3e135..c91e216a7218 100644
--- a/dev-python/hypothesis/Manifest
+++ b/dev-python/hypothesis/Manifest
@@ -9,6 +9,7 @@ DIST hypothesis-6.98.2.gh.tar.gz 9438703 BLAKE2B e1c93ae8f428c95e5bf9d6d63647173
DIST hypothesis-6.98.3.gh.tar.gz 9438865 BLAKE2B 7a15ec4debd2a93974aca75aad9b7b1858c6ec23dc4856ef2b4a84e9eb6e74a0aabd278070cd76b83c12e71144e0b613c33d00ab87d9b2dc85d713c7be7f56c6 SHA512 6ad4dfaa8ed54c090b3fcd2c8ee742ebf7f488dd156dcec4ee138621ee16143f520f660d6081fbe05d8f59f7dbef2b575128806a71ff7f793fc7b2d61bf9dc78
DIST hypothesis-6.98.4.gh.tar.gz 9438902 BLAKE2B a5c560711448c301665a9c9d2f6106996fbf76d1fc3c3e8d67e053c94a59f462cb57ddb890b1dfb0bdd3569e1e6216d5fd4bcab10adf0ba0499caf84efeb3b25 SHA512 3f4496f48b3002f33a9324509463a4fbece7967f203a9b4a7e1a5bce557e296d0b335437fa590477e8e669b551618cd83fad2bc2478c443772399467f17988f7
DIST hypothesis-6.98.5.gh.tar.gz 9422518 BLAKE2B ff79d5ddad7d1474ccc536dba4222e8ba19a5066011e532384a7b1e686b44a2e4bd48df107b6be868e40513ee691dc3d8d401ac22109f058a948c0eec1d5266a SHA512 c77714986451eb9992254734b5302979ea51e5baae769e57a1076dd770abfe7c61ce38be865552d4961d5a6f2ae3d7325888404265e92a106f2c2cdc177f624d
+DIST hypothesis-6.98.6.gh.tar.gz 9423503 BLAKE2B b2f3f0be0767d23db33dc87a3adef42d26b15e09d493fa1be8ae817bb316691946eb97876d66e67ee8e78e9023a8b2ba977e19878d3457d8ea4a28a9b1df4d05 SHA512 435b41651935f25264126aa13c3c15801ec384f30b6e6f701e6eff29f07dd867eaed0eaca9be4182f043dac3146597c5567bcdd5e1cc3bc929065ca37eb495ff
EBUILD hypothesis-6.93.2.ebuild 2461 BLAKE2B 343d4374955bed436ecb2533684eac1d2013c8b6c691bf72477a24c52e5caf7e71e61b67de8475c38e940a13b046ed07e8f2b188ad39c3acff8de4df3f7f5a97 SHA512 3a72f5c9f5c1b3787c37cd8830321a47a5c54c655c8b75fdeaa4b09c6c4db310914ebfa5cf631c2576e92e4bd56e106f745e25777b5f86cd7b0cc58ec838fa7b
EBUILD hypothesis-6.96.4.ebuild 2469 BLAKE2B c411ef0dbd4cb160b7695cd5e9428835163379752bab7b2f4668b7cadff8fb0773ff46540a66c521f15f65cdb4f1f51a832e06adce48491e492a0c4f0dd13499 SHA512 d7031fa1c8a7fe3914019a39976473dbe629b215b40647c262ba8c75a33b668176e5fb3262f01267f81b42b951b641ea561c4f1c2d21f61e4a0f05c5dbfd520c
EBUILD hypothesis-6.97.1.ebuild 2469 BLAKE2B c411ef0dbd4cb160b7695cd5e9428835163379752bab7b2f4668b7cadff8fb0773ff46540a66c521f15f65cdb4f1f51a832e06adce48491e492a0c4f0dd13499 SHA512 d7031fa1c8a7fe3914019a39976473dbe629b215b40647c262ba8c75a33b668176e5fb3262f01267f81b42b951b641ea561c4f1c2d21f61e4a0f05c5dbfd520c
@@ -20,4 +21,5 @@ EBUILD hypothesis-6.98.2.ebuild 2469 BLAKE2B c411ef0dbd4cb160b7695cd5e9428835163
EBUILD hypothesis-6.98.3.ebuild 2469 BLAKE2B c411ef0dbd4cb160b7695cd5e9428835163379752bab7b2f4668b7cadff8fb0773ff46540a66c521f15f65cdb4f1f51a832e06adce48491e492a0c4f0dd13499 SHA512 d7031fa1c8a7fe3914019a39976473dbe629b215b40647c262ba8c75a33b668176e5fb3262f01267f81b42b951b641ea561c4f1c2d21f61e4a0f05c5dbfd520c
EBUILD hypothesis-6.98.4.ebuild 2469 BLAKE2B c411ef0dbd4cb160b7695cd5e9428835163379752bab7b2f4668b7cadff8fb0773ff46540a66c521f15f65cdb4f1f51a832e06adce48491e492a0c4f0dd13499 SHA512 d7031fa1c8a7fe3914019a39976473dbe629b215b40647c262ba8c75a33b668176e5fb3262f01267f81b42b951b641ea561c4f1c2d21f61e4a0f05c5dbfd520c
EBUILD hypothesis-6.98.5.ebuild 2469 BLAKE2B c411ef0dbd4cb160b7695cd5e9428835163379752bab7b2f4668b7cadff8fb0773ff46540a66c521f15f65cdb4f1f51a832e06adce48491e492a0c4f0dd13499 SHA512 d7031fa1c8a7fe3914019a39976473dbe629b215b40647c262ba8c75a33b668176e5fb3262f01267f81b42b951b641ea561c4f1c2d21f61e4a0f05c5dbfd520c
+EBUILD hypothesis-6.98.6.ebuild 2469 BLAKE2B c411ef0dbd4cb160b7695cd5e9428835163379752bab7b2f4668b7cadff8fb0773ff46540a66c521f15f65cdb4f1f51a832e06adce48491e492a0c4f0dd13499 SHA512 d7031fa1c8a7fe3914019a39976473dbe629b215b40647c262ba8c75a33b668176e5fb3262f01267f81b42b951b641ea561c4f1c2d21f61e4a0f05c5dbfd520c
MISC metadata.xml 492 BLAKE2B c9e9bbd59af55d1f47e5b7a86933c02b47f832122d03eaca56bd3ec9476cf260d91d4fd2da5068845d4525b7cc9f702b515e8d6a0dffa7923f5898cfd44e12a1 SHA512 166b33d6ac887f52d54fb9d556102038c00650a597d2de1c3aad3f8b5e136e9b6b7db31f05f3379435e4c5f943156d5839d78fc95461af411037a3162ea6705e
diff --git a/dev-python/hypothesis/hypothesis-6.98.6.ebuild b/dev-python/hypothesis/hypothesis-6.98.6.ebuild
new file mode 100644
index 000000000000..f7f366381e4f
--- /dev/null
+++ b/dev-python/hypothesis/hypothesis-6.98.6.ebuild
@@ -0,0 +1,90 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+CLI_COMPAT=( python3_{10..12} )
+PYTHON_COMPAT=( "${CLI_COMPAT[@]}" pypy3 )
+PYTHON_REQ_USE="threads(+),sqlite"
+
+inherit distutils-r1 multiprocessing optfeature
+
+TAG=hypothesis-python-${PV}
+MY_P=hypothesis-${TAG}
+DESCRIPTION="A library for property based testing"
+HOMEPAGE="
+ https://github.com/HypothesisWorks/hypothesis/
+ https://pypi.org/project/hypothesis/
+"
+SRC_URI="
+ https://github.com/HypothesisWorks/hypothesis/archive/${TAG}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+S="${WORKDIR}/${MY_P}/hypothesis-python"
+
+LICENSE="MPL-2.0"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+IUSE="cli"
+
+RDEPEND="
+ >=dev-python/attrs-22.2.0[${PYTHON_USEDEP}]
+ >=dev-python/sortedcontainers-2.1.0[${PYTHON_USEDEP}]
+ $(python_gen_cond_dep '
+ >=dev-python/exceptiongroup-1.0.0_rc8[${PYTHON_USEDEP}]
+ ' 3.9 3.10)
+ cli? (
+ $(python_gen_cond_dep '
+ dev-python/black[${PYTHON_USEDEP}]
+ dev-python/click[${PYTHON_USEDEP}]
+ ' "${CLI_COMPAT[@]}")
+ )
+"
+BDEPEND="
+ test? (
+ dev-python/pexpect[${PYTHON_USEDEP}]
+ dev-python/pytest-xdist[${PYTHON_USEDEP}]
+ !!<dev-python/requests-toolbelt-0.10.1
+ )
+"
+
+distutils_enable_tests pytest
+
+python_test() {
+ # subtests are broken by warnings from random plugins
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ local -x PYTEST_PLUGINS=xdist.plugin,_hypothesis_pytestplugin
+ local -x HYPOTHESIS_NO_PLUGINS=1
+
+ # NB: paths need to be relative to pytest.ini,
+ # i.e. start with hypothesis-python/
+ local EPYTEST_DESELECT=()
+ case ${EPYTHON} in
+ pypy3)
+ EPYTEST_DESELECT+=(
+ # failing due to warnings from numpy/cython
+ hypothesis-python/tests/pytest/test_fixtures.py::test_given_plus_overridden_fixture
+ )
+ ;;
+ esac
+
+ epytest -o filterwarnings= -n "$(makeopts_jobs)" --dist=worksteal \
+ tests/cover tests/pytest tests/quality
+}
+
+python_install() {
+ distutils-r1_python_install
+ if ! use cli || ! has "${EPYTHON}" "${CLI_COMPAT[@]/_/.}"; then
+ rm -r "${ED}/usr/bin" "${D}$(python_get_scriptdir)" || die
+ fi
+}
+
+pkg_postinst() {
+ optfeature "datetime support" dev-python/pytz
+ optfeature "dateutil support" dev-python/python-dateutil
+ optfeature "numpy support" dev-python/numpy
+ optfeature "django support" dev-python/django dev-python/pytz
+ optfeature "pandas support" dev-python/pandas
+ optfeature "pytest support" dev-python/pytest
+}
diff --git a/dev-python/matplotlib/Manifest b/dev-python/matplotlib/Manifest
index 973eabadc10e..2d1b6db521ed 100644
--- a/dev-python/matplotlib/Manifest
+++ b/dev-python/matplotlib/Manifest
@@ -10,6 +10,7 @@ DIST matplotlib-3.7.3.tar.gz 38097222 BLAKE2B e0207c8f8bda2db3f9e45d2f606f01374c
DIST matplotlib-3.8.0.tar.gz 35864435 BLAKE2B d0eb2893447782f54ca9c8101ca54fa9d86a9f2ef89fb0a17d32c74f3e46728b55c6bed476852d0c11286dc0030028c241adce29024b34845546af6f579ac7bf SHA512 0f75495210946adf0a36af13a75bc9910d345cc05636019952f35856b4c2bfac8a79c48d5a3348e844cfdac797f3ce490fe6a4e1a4fc7033092fee61f9913e21
DIST matplotlib-3.8.1.tar.gz 35868840 BLAKE2B beec824c46279cb92608ffca0dc1835c1d82ef32d68b547c9a5088404a0b37044c1860c59ac16c0c1b65658c7d64b7b4c83b65b38ffb0b320d4c5a3cc4383fb9 SHA512 bb933361caba0f4ea590df56569edf4cb728f1daa1219f8793b5ae6ba591cb5d1600fdd1693b7c72a8bb70b0da696b05f1b6ddcabe93d723f29d8541fbf0372c
DIST matplotlib-3.8.2.tar.gz 35866957 BLAKE2B 17b3de0101c4e9d76cddc7fa5e44507f1dd628fa70ac0d3c55fb83ca5d36156904bfab50212aaeb0fb89d17615799fe22082ecc1ababd172e39a069b38519064 SHA512 4336ca9799bb03fc2f885e35889ad1c62412f7d7b6aa8e284049f75d1166d2f6753c27cf827f0e7f0bb461d3707ccf63a3172ed82f26ec413c0a6578791f957b
+DIST matplotlib-3.8.3.tar.gz 35879872 BLAKE2B 2b4b819975a8386bfe2c3af8b1068512b106068c057ca62344f6636c0708327feafc75210a8b87b837779c9a57dede3b4ea2a8b7b673432d7732851d5601f4c6 SHA512 457d1d62b76752938a24780c697461949de00d779df55df122d789f9ebef154edda037f2a804241880a0b442c5fa8139b8ab13054898b8e08fd17a56bdc23312
EBUILD matplotlib-3.7.1.ebuild 10081 BLAKE2B 20a93311d408f379c381bf4412481b558142e03e31e2d6ae506f2f20663e836d31524d91d4826515bce90607d9184999df712f7b8b533385eaba6aa2007cf634 SHA512 ade41d705e30cc712edcd1c2447d2d0c196b0ad5bc475f42719a0b79363c0b12f59d4d9db27f16572719348fea66c5177ea0da2ec677ef87d42fe0f3d034997d
EBUILD matplotlib-3.7.2-r1.ebuild 10221 BLAKE2B e9e08c3c43f9fb7c3cc352f2e46e257127dd8cf83844b6c963402f6c7e0534b389bb2c5bd65086c70fafb4188f05a89b286ec49ad637a317c745963b9720fa7e SHA512 9e3a4f710da8f822eee9e457b8fcbdd4432fbb17375ffab36fcb8597552f4f633e75caaaefb44c3ac5a7d49d5aa6a6dfaaf82347839020048ddd2d877b832711
EBUILD matplotlib-3.7.2.ebuild 10289 BLAKE2B f39422d5796061fe3677957ebb0b2af92417d413c365eaefd1f9e2e6c17a1e7b534aa7da599d83d6981edf9b13d4469163e3f438cd3e4dfc6713db02aa772b84 SHA512 f6a9e39882bdfb051cd9d7d2b123963c81881662712a5e3ddff9c288e85a53799c11b8945e61a56c86d6b88eb2d866834c079232172066d26d32649fc2984328
@@ -17,4 +18,5 @@ EBUILD matplotlib-3.7.3.ebuild 10008 BLAKE2B ca25579dc5c3f41a890c38e2889fbbbd99e
EBUILD matplotlib-3.8.0.ebuild 9996 BLAKE2B 5c98a40ceaae5787a0d76c653ff7e3c536ced712f816b9d8bbda24b2fd7c3b33760ce238313cb75966ac967a992e5682088774cbd962fa7c3205e795c977d96f SHA512 14285067ded8e0948ce382ae68202ec81cfbf749c5ad1e5503572e17c626d089e17dc36e50d021a95357e3874085642ee46d6514f6a8b31352e8491bd29cfd41
EBUILD matplotlib-3.8.1.ebuild 9998 BLAKE2B 40aab75a1ec2596e72a28785d4445ff43eee84259afdbbbbdbdbf534b90954f158936598e73bca89e92a8fefb7965e4a97547f0316fb726ac7a2eda42da2a5f0 SHA512 36508b6e597244a3085bbeb429dbeebf5608f04ec81109e2d0b38fb6391611e9b8a2b77e0a9e3da62cfd5dfcbf03a602025b0128c8be550e143c22b35aacf75a
EBUILD matplotlib-3.8.2-r1.ebuild 11246 BLAKE2B 751815a6eaee9cb61c103c65d31bc93be57de2ec5c4bf0fb89696e6baf7dcbd446ad35e45c53d4ec46bf1c36fbccc9e44b5b0f149e3135bc3d94de0334e2e10f SHA512 470f5a11da32927db65fd66fd3bcf545f40f2cb00757f139452663b987877788da7cc500916d874232ca812e989b66e49207d9bd69997ddd0f9f9f85e33690e6
+EBUILD matplotlib-3.8.3.ebuild 11288 BLAKE2B af80e2f4b2168f97b72f693eafda19e87dd6f77b96d4ab9261f4a253b61267f3032478349114038b80f541a618158084c276b0e9e4e1b6d1c8ab5425ef4f7704 SHA512 61479ed3648fb99273644ec9e5adac643ada98173f7f99520f29f0db5efdc237b2c96a6bce42c239dd9fcbf669eba55bfbaf06dcd5dd8d4e924e98e028b86693
MISC metadata.xml 1074 BLAKE2B 1d7dce116e09939378872c2eaf5153948b7e934626110eb4899d0dfc2781429522328f1c4efd2c40f829da64e19bed8f9fbd1b8907a6e74a5fd54587c1d29e5b SHA512 e344bfc813e09c24a8edfa9c062eb2a6c44535559370f508a27a2de20c6ab92aeb48bc8daf9c357178e513eb2474a33782e4098c0f3bcbb84b11f7388ef1a704
diff --git a/dev-python/matplotlib/matplotlib-3.8.3.ebuild b/dev-python/matplotlib/matplotlib-3.8.3.ebuild
new file mode 100644
index 000000000000..42444afd7274
--- /dev/null
+++ b/dev-python/matplotlib/matplotlib-3.8.3.ebuild
@@ -0,0 +1,371 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( pypy3 python3_{10..12} )
+PYTHON_REQ_USE='tk?,threads(+)'
+
+inherit distutils-r1 flag-o-matic prefix pypi toolchain-funcs virtualx
+
+FT_PV=2.6.1
+DESCRIPTION="Pure python plotting library with matlab like syntax"
+HOMEPAGE="
+ https://matplotlib.org/
+ https://github.com/matplotlib/matplotlib/
+ https://pypi.org/project/matplotlib/
+"
+SRC_URI+="
+ test? (
+ https://downloads.sourceforge.net/project/freetype/freetype2/${FT_PV}/freetype-${FT_PV}.tar.gz
+ )
+"
+
+# Main license: matplotlib
+# Some modules: BSD
+# matplotlib/backends/qt4_editor: MIT
+# Fonts: BitstreamVera, OFL-1.1
+LICENSE="BitstreamVera BSD matplotlib MIT OFL-1.1"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~arm64-macos ~x64-macos"
+IUSE="cairo doc excel gtk3 latex qt5 tk webagg wxwidgets"
+
+# internal copy of pycxx highly patched
+# dev-python/pycxx
+RDEPEND="
+ >=dev-python/contourpy-1.0.1[${PYTHON_USEDEP}]
+ >=dev-python/cycler-0.10.0-r1[${PYTHON_USEDEP}]
+ >=dev-python/fonttools-4.22.0[${PYTHON_USEDEP}]
+ >=dev-python/kiwisolver-1.3.1[${PYTHON_USEDEP}]
+ <dev-python/numpy-2[${PYTHON_USEDEP}]
+ >=dev-python/numpy-1.25[${PYTHON_USEDEP}]
+ >=dev-python/packaging-20.0[${PYTHON_USEDEP}]
+ >=dev-python/pillow-8[jpeg,webp,${PYTHON_USEDEP}]
+ >=dev-python/pyparsing-2.3.1[${PYTHON_USEDEP}]
+ >=dev-python/python-dateutil-2.7[${PYTHON_USEDEP}]
+ >=dev-python/pytz-2019.3[${PYTHON_USEDEP}]
+ media-fonts/dejavu
+ media-fonts/stix-fonts
+ media-libs/freetype:2
+ media-libs/libpng:0
+ >=media-libs/qhull-2013:=
+ virtual/imagemagick-tools[jpeg,tiff]
+ cairo? (
+ dev-python/cairocffi[${PYTHON_USEDEP}]
+ )
+ excel? (
+ dev-python/xlwt[${PYTHON_USEDEP}]
+ )
+ gtk3? (
+ >=dev-python/pygobject-3.40.1-r1:3[cairo?,${PYTHON_USEDEP}]
+ x11-libs/gtk+:3[introspection]
+ )
+ latex? (
+ virtual/latex-base
+ app-text/dvipng
+ app-text/ghostscript-gpl
+ app-text/poppler[utils]
+ dev-texlive/texlive-fontsrecommended
+ dev-texlive/texlive-latexextra
+ dev-texlive/texlive-luatex
+ dev-texlive/texlive-xetex
+ )
+ qt5? (
+ $(python_gen_cond_dep '
+ dev-python/PyQt5[gui,widgets,${PYTHON_USEDEP}]
+ ' 'python3*')
+ )
+ webagg? (
+ >=dev-python/tornado-6.0.4[${PYTHON_USEDEP}]
+ )
+ wxwidgets? (
+ $(python_gen_cond_dep '
+ dev-python/wxpython:*[${PYTHON_USEDEP}]
+ ' python3_{10..11})
+ )
+"
+
+BDEPEND="
+ ${RDEPEND}
+ dev-python/pybind11[${PYTHON_USEDEP}]
+ >=dev-python/setuptools-scm-7[${PYTHON_USEDEP}]
+ virtual/pkgconfig
+ doc? (
+ >=app-text/dvipng-1.15-r1
+ >=dev-python/colorspacious-1.1.2[${PYTHON_USEDEP}]
+ >=dev-python/ipython-1.18.2[${PYTHON_USEDEP}]
+ >=dev-python/numpydoc-0.9.2[${PYTHON_USEDEP}]
+ >=dev-python/scipy-1.4.1[${PYTHON_USEDEP}]
+ >=dev-python/sphinx-1.3.1[${PYTHON_USEDEP}]
+ >=dev-python/sphinx-gallery-0.3.1-r1[${PYTHON_USEDEP}]
+ >=dev-python/xlwt-1.3.0-r1[${PYTHON_USEDEP}]
+ virtual/latex-base
+ dev-texlive/texlive-latexextra
+ dev-texlive/texlive-fontsrecommended
+ dev-texlive/texlive-latexrecommended
+ dev-texlive/texlive-luatex
+ dev-texlive/texlive-xetex
+ >=media-gfx/graphviz-2.42.3[cairo]
+ )
+ test? (
+ dev-python/psutil[${PYTHON_USEDEP}]
+ >=dev-python/tornado-6.0.4[${PYTHON_USEDEP}]
+ !hppa? ( !s390? (
+ || (
+ media-video/ffmpeg[openh264]
+ media-video/ffmpeg[x264]
+ )
+ ) )
+ gtk3? (
+ >=dev-python/pygobject-3.40.1-r1:3[cairo?,${PYTHON_USEDEP}]
+ x11-libs/gtk+:3[introspection]
+ )
+ )
+"
+
+EPYTEST_XDIST=1
+distutils_enable_tests pytest
+
+use_setup() {
+ local uword="${2:-${1}}"
+ if use "${1}"; then
+ echo "${uword} = True"
+ echo "${uword}agg = True"
+ else
+ echo "${uword} = False"
+ echo "${uword}agg = False"
+ fi
+}
+
+python_prepare_all() {
+# Generates test failures, but fedora does it
+# local PATCHES=(
+# "${FILESDIR}"/${P}-unbundle-pycxx.patch
+# "${FILESDIR}"/${P}-unbundle-agg.patch
+# )
+# rm -r agg24 CXX || die
+# rm -r agg24 || die
+
+ # Affects installed _version.py, bug #854600
+ export SETUPTOOLS_SCM_PRETEND_VERSION=${PV}
+
+ local PATCHES=(
+ "${FILESDIR}"/matplotlib-3.3.3-disable-lto.patch
+ "${FILESDIR}"/matplotlib-3.8.0-test.patch
+ )
+
+ # increase lock timeout to 30 s
+ sed -i -e 's:retries = 50:retries = 300:' lib/matplotlib/cbook.py || die
+
+ hprefixify setupext.py
+
+ rm -rf libqhull || die
+
+ distutils-r1_python_prepare_all
+}
+
+python_configure_all() {
+ append-flags -fno-strict-aliasing
+ append-cppflags -DNDEBUG # or get old trying to do triangulation
+ tc-export PKG_CONFIG
+
+ unset DISPLAY # bug #278524
+ export XDG_RUNTIME_DIR="${T}/runtime-dir"
+ mkdir "${XDG_RUNTIME_DIR}" || die
+ chmod 0700 "${XDG_RUNTIME_DIR}" || die
+}
+
+python_configure() {
+ mkdir -p "${BUILD_DIR}" || die
+
+ # create setup.cfg (see setup.cfg.template for any changes).
+
+ # common switches.
+ cat > "${BUILD_DIR}"/setup.cfg <<- EOF || die
+ [directories]
+ basedirlist = ${EPREFIX}/usr
+ [provide_packages]
+ pytz = False
+ dateutil = False
+ [libs]
+ system_freetype = True
+ system_qhull = True
+ [packages]
+ tests = True
+ [gui_support]
+ agg = True
+ gtk = False
+ gtkagg = False
+ macosx = False
+ pyside = False
+ pysideagg = False
+ qt4 = False
+ qt4agg = False
+ $(use_setup cairo)
+ $(use_setup gtk3)
+ $(use_setup qt5)
+ $(use_setup tk)
+ $(use_setup wxwidgets wx)
+ EOF
+
+ if use gtk3 && use cairo; then
+ echo "gtk3cairo = True" >> "${BUILD_DIR}"/setup.cfg || die
+ else
+ echo "gtk3cairo = False" >> "${BUILD_DIR}"/setup.cfg || die
+ fi
+}
+
+wrap_setup() {
+ local MAKEOPTS=-j1
+ local -x MPLSETUPCFG="${BUILD_DIR}"/setup.cfg
+ "$@"
+}
+
+python_compile() {
+ wrap_setup distutils-r1_python_compile
+ find "${BUILD_DIR}" -name '*.pth' -delete || die
+}
+
+python_compile_all() {
+ if use doc; then
+ cd doc || die
+
+ VARTEXFONTS="${T}"/fonts \
+ emake SPHINXOPTS= O=-Dplot_formats=png:100 html
+ fi
+}
+
+src_test() {
+ mkdir build || die
+ ln -s "${WORKDIR}/freetype-${FT_PV}" build/ || die
+ virtx distutils-r1_src_test
+}
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # broken by -Wdefault
+ "tests/test_rcparams.py::test_validator_invalid[validate_strlist-arg6-MatplotlibDeprecationWarning]"
+ "tests/test_rcparams.py::test_validator_invalid[validate_strlist-arg7-MatplotlibDeprecationWarning]"
+ tests/test_testing.py::test_warn_to_fail
+ # TODO?
+ tests/test_backend_qt.py::test_fig_sigint_override
+ # leak tests are fragile
+ tests/test_backends_interactive.py::test_figure_leak_20490
+ )
+
+ case ${EPYTHON} in
+ pypy3)
+ EPYTEST_DESELECT+=(
+ # TODO: warning isn't passed through
+ tests/test_image.py::test_large_image
+ # TODO
+ tests/test_pickle.py::test_complete
+ tests/test_pickle.py::test_no_pyplot
+ tests/test_pickle.py::test_pickle_load_from_subprocess
+ tests/test_pickle.py::test_simple
+ tests/test_texmanager.py::test_openin_any_paranoid
+ tests/test_widgets.py::test_check_buttons
+ tests/test_widgets.py::test_check_buttons_lines
+ tests/test_widgets.py::test_check_radio_buttons_image
+ tests/test_widgets.py::test_radio_buttons
+ )
+ if has_version "<dev-python/pypy3_10-exe-7.3.13_p2" ||
+ has_version "<dev-python/pypy3_10-exe-bin-7.3.13_p2"
+ then
+ EPYTEST_DESELECT+=(
+ # TypeError is raised when exception is raised in a starred
+ # expression referencing a generator that uses "yield from"
+ # and raises -- non-critical, since some exception is raised
+ # after all
+ # https://foss.heptapod.net/pypy/pypy/-/issues/4032
+ tests/test_axes.py::test_bad_plot_args
+ tests/test_axes.py::test_plot_errors
+ tests/test_axes.py::test_plot_format_errors
+ )
+ fi
+ ;;
+ python3.11)
+ EPYTEST_DESELECT+=(
+ # https://github.com/matplotlib/matplotlib/issues/23384
+ "tests/test_backends_interactive.py::test_figure_leak_20490[time_mem1-{'MPLBACKEND': 'qtagg', 'QT_API': 'PyQt5'}]"
+ "tests/test_backends_interactive.py::test_figure_leak_20490[time_mem1-{'MPLBACKEND': 'qtcairo', 'QT_API': 'PyQt5'}]"
+ )
+ ;;
+ python3.12)
+ EPYTEST_DESELECT+=(
+ tests/test_constrainedlayout.py::test_compressed1
+ )
+ ;;
+ esac
+
+ case "${ABI}" in
+ alpha|arm|hppa|m68k|o32|ppc|s390|sh|sparc|x86)
+ EPYTEST_DESELECT+=(
+ # too large for 32-bit platforms
+ 'tests/test_axes.py::test_psd_csd[png]'
+ )
+ ;;
+ *)
+ ;;
+ esac
+
+ if use hppa ; then
+ EPYTEST_DESELECT+=(
+ 'tests/test_mathtext.py::test_mathtext_exceptions[hspace without value]'
+ 'tests/test_mathtext.py::test_mathtext_exceptions[hspace with invalid value]'
+ 'tests/test_mathtext.py::test_mathtext_exceptions[function without space]'
+ 'tests/test_mathtext.py::test_mathtext_exceptions[accent without space]'
+ 'tests/test_mathtext.py::test_mathtext_exceptions[frac without parameters]'
+ 'tests/test_mathtext.py::test_mathtext_exceptions[frac with empty parameters]'
+ 'tests/test_mathtext.py::test_mathtext_exceptions[binom without parameters]'
+ 'tests/test_mathtext.py::test_mathtext_exceptions[binom with empty parameters]'
+ 'tests/test_mathtext.py::test_mathtext_exceptions[genfrac without parameters]'
+ 'tests/test_mathtext.py::test_mathtext_exceptions[genfrac with empty parameters]'
+ 'tests/test_mathtext.py::test_mathtext_exceptions[sqrt without parameters]'
+ 'tests/test_mathtext.py::test_mathtext_exceptions[sqrt with invalid value]'
+ 'tests/test_mathtext.py::test_mathtext_exceptions[overline without parameters]'
+ 'tests/test_mathtext.py::test_mathtext_exceptions[overline with empty parameter]'
+ 'tests/test_mathtext.py::test_mathtext_exceptions[left with invalid delimiter]'
+ 'tests/test_mathtext.py::test_mathtext_exceptions[right with invalid delimiter]'
+ 'tests/test_mathtext.py::test_mathtext_exceptions[unclosed parentheses with sizing]'
+ 'tests/test_mathtext.py::test_mathtext_exceptions[unclosed parentheses without sizing]'
+ 'tests/test_mathtext.py::test_mathtext_exceptions[dfrac without parameters]'
+ 'tests/test_mathtext.py::test_mathtext_exceptions[dfrac with empty parameters]'
+ 'tests/test_mathtext.py::test_mathtext_exceptions[overset without parameters]'
+ 'tests/test_mathtext.py::test_mathtext_exceptions[underset without parameters]'
+ 'tests/test_mathtext.py::test_mathtext_exceptions[unknown symbol]'
+ 'tests/test_mathtext.py::test_mathtext_exceptions[double superscript]'
+ 'tests/test_mathtext.py::test_mathtext_exceptions[double subscript]'
+ 'tests/test_mathtext.py::test_mathtext_exceptions[super on sub without braces]'
+ 'tests/test_quiver.py::test_barbs[png]'
+ 'tests/test_quiver.py::test_barbs_pivot[png]'
+ 'tests/test_quiver.py::test_barbs_flip[png]'
+ 'tests/test_text.py::test_parse_math'
+ 'tests/test_text.py::test_parse_math_rcparams'
+ )
+ fi
+
+ # we need to rebuild mpl against bundled freetype, otherwise
+ # over 1000 tests will fail because of mismatched font rendering
+ grep -v system_freetype "${BUILD_DIR}"/setup.cfg \
+ > "${BUILD_DIR}"/test-setup.cfg || die
+ local -x MPLSETUPCFG="${BUILD_DIR}"/test-setup.cfg
+
+ esetup.py build -j1 --build-lib="${BUILD_DIR}"/test-lib
+ local -x PYTHONPATH=${BUILD_DIR}/test-lib:${PYTHONPATH}
+
+ # speed tests up
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ # pretend we're on CI to increase timeouts
+ local -x CI=1
+ nonfatal epytest --pyargs matplotlib -m "not network" \
+ -o tmp_path_retention_policy=all || die
+}
+
+python_install_all() {
+ use doc && local HTML_DOCS=( doc/build/html/. )
+
+ distutils-r1_python_install_all
+}
diff --git a/dev-python/openapi-core/Manifest b/dev-python/openapi-core/Manifest
index c2b0ca78c3e9..4913610e950a 100644
--- a/dev-python/openapi-core/Manifest
+++ b/dev-python/openapi-core/Manifest
@@ -1,3 +1,6 @@
+AUX openapi-core-0.19.0-pytest-8.patch 3669 BLAKE2B ee901d00716092d28bd4ceb501a8bb30330a72c49c5a6eb24def681a16eb1d689a785c176fe6bbff690a2927b8d4d55b086c3de180d719bfb78deda9a3dd7aea SHA512 2a266608dc446205f20d46ffc69339d1ceb3bb399cad3983518491e1cc7c77321f8c83692efa7f51abb69b15a583880cb2ab0dca828b2844ac500d3479edd2f6
DIST openapi_core-0.18.2.tar.gz 84444 BLAKE2B bb05ba86eff3c70c780f1919a29b93f2137983318834c51204d7ad1094fc645d2dbcef93d92d03096826688fdfe1811c551eee68995fd46739314c2e4bc77cfc SHA512 552109c095c840a46759a54e247a3ac2d8cc36707ba89815740eef4b7fb421bd489929543892341fd89a578bff4043c8c81302fddaa1efe125238e050f152c27
+DIST openapi_core-0.19.0.tar.gz 105815 BLAKE2B 25036e98dbf4d572e77eb5dcc00909df1cd2d7b7c37bb691c403df2a48273cc2dd4150c99c526eacc709785f4ec9c525de53e7f613f10b15177fc1ff90ce76fe SHA512 3a94170f8ab6a47188c693545be9d2cd965d2479c838a8644d6218f9f46b54fdb94e0550ea5626e5ba58920419b7c700d26b2e6dd6a55afeb73778f582a645e0
EBUILD openapi-core-0.18.2.ebuild 2036 BLAKE2B 627470243f19362c2ea72a8c8b7c9ba8a74a7bc57f0e850342717ed4ca922b36f445ee6c7e8ae5d5304059cb48a0eaf294b8f3b0e196771e35304b3d52446ea3 SHA512 ca93952e8867a4531df97a14da727ff4d1285361f418a32c0710c23718a39778343dd5f14ab0a4746cac06c12afa5df0dfd03de7ba503980c7b2a94adfc7b90c
+EBUILD openapi-core-0.19.0.ebuild 2226 BLAKE2B d28c3324faab06de7bd9e132e29777e502bfe50f8c1a13cb07d6790e9814f62b9ba09a71551b767ab8bf8831d080e394dec1d6c455b7341e36d94f2c69c10af0 SHA512 f0f01765aa1dc77c6d8d3506bfa67a1770f4ed968a301d3cc0eb0f85e28fdba12cf58477b57e72e8dfc250e7262c9ea75b2f4e7b289b06b23265603348de1fe3
MISC metadata.xml 385 BLAKE2B a19f5b70529b6f0575e1196f3ffe0a7f38595fe7b01b43119f0f89c41a9ab5d6992f424a10f345a7407d279736a6091918b9ba1ead0daa92c9d244e4b27e4a18 SHA512 a8a39c8958ad11de5eb6896a74b3bfcb27e95c74a984a362032e4703d86f2831b6559a96a8eef80a7ef89f4687da325b3748f36b1df649cd29c2acb1ea0c9969
diff --git a/dev-python/openapi-core/files/openapi-core-0.19.0-pytest-8.patch b/dev-python/openapi-core/files/openapi-core-0.19.0-pytest-8.patch
new file mode 100644
index 000000000000..78fb19897560
--- /dev/null
+++ b/dev-python/openapi-core/files/openapi-core-0.19.0-pytest-8.patch
@@ -0,0 +1,92 @@
+From 36da765cfc27cd6bda5c2773e3b3664a6473cd3b Mon Sep 17 00:00:00 2001
+From: =?UTF-8?q?Micha=C5=82=20G=C3=B3rny?= <mgorny@gentoo.org>
+Date: Thu, 15 Feb 2024 15:53:50 +0100
+Subject: [PATCH] Remove spurious `pytest.warns()` to fix pytest-8
+ compatibility
+
+Remove the spurious `pytest.warns()` contexts within `pytest.raises()`
+in `test_shortcuts`, in order to fix compatibility with pytest-8.0.0.
+Prior to this version, the exception raised caused these assertions
+to be ignored entirely. This is fixed in pytest-8.0.0, and the tests
+start failing because the warning is never raised prior
+to the exception.
+
+Fixes #789
+---
+ tests/unit/test_shortcuts.py | 21 +++++++--------------
+ 1 file changed, 7 insertions(+), 14 deletions(-)
+
+diff --git a/tests/unit/test_shortcuts.py b/tests/unit/test_shortcuts.py
+index 0dd1865..9a3f36c 100644
+--- a/tests/unit/test_shortcuts.py
++++ b/tests/unit/test_shortcuts.py
+@@ -423,8 +423,7 @@ class TestUnmarshalResponse:
+ mock_unmarshal.return_value = ResultMock(error_to_raise=ValueError)
+
+ with pytest.raises(ValueError):
+- with pytest.warns(DeprecationWarning):
+- unmarshal_response(request, response, spec=spec_v31)
++ unmarshal_response(request, response, spec=spec_v31)
+
+ mock_unmarshal.assert_called_once_with(request, response)
+
+@@ -597,15 +596,13 @@ class TestValidateRequest:
+ request = mock.Mock(spec=Request)
+
+ with pytest.raises(SpecError):
+- with pytest.warns(DeprecationWarning):
+- validate_request(request, spec=spec_invalid)
++ validate_request(request, spec=spec_invalid)
+
+ def test_spec_not_detected(self, spec_v20):
+ request = mock.Mock(spec=Request)
+
+ with pytest.raises(SpecError):
+- with pytest.warns(DeprecationWarning):
+- validate_request(request, spec=spec_v20)
++ validate_request(request, spec=spec_v20)
+
+ def test_request_type_invalid(self, spec_v31):
+ request = mock.sentinel.request
+@@ -733,8 +730,7 @@ class TestValidateRequest:
+ request = mock.Mock(spec=WebhookRequest)
+
+ with pytest.raises(SpecError):
+- with pytest.warns(DeprecationWarning):
+- validate_request(request, spec=spec_v30)
++ validate_request(request, spec=spec_v30)
+
+ @mock.patch(
+ "openapi_core.validation.request.validators.V31WebhookRequestValidator."
+@@ -889,16 +885,14 @@ class TestValidateResponse:
+ response = mock.Mock(spec=Response)
+
+ with pytest.raises(SpecError):
+- with pytest.warns(DeprecationWarning):
+- validate_response(request, response, spec=spec_invalid)
++ validate_response(request, response, spec=spec_invalid)
+
+ def test_spec_not_supported(self, spec_v20):
+ request = mock.Mock(spec=Request)
+ response = mock.Mock(spec=Response)
+
+ with pytest.raises(SpecError):
+- with pytest.warns(DeprecationWarning):
+- validate_response(request, response, spec=spec_v20)
++ validate_response(request, response, spec=spec_v20)
+
+ def test_request_type_invalid(self, spec_v31):
+ request = mock.sentinel.request
+@@ -965,8 +959,7 @@ class TestValidateResponse:
+ response = mock.Mock(spec=Response)
+
+ with pytest.raises(SpecError):
+- with pytest.warns(DeprecationWarning):
+- validate_response(request, response, spec=spec_v30)
++ validate_response(request, response, spec=spec_v30)
+
+ @mock.patch(
+ "openapi_core.validation.response.validators.V31WebhookResponseValidator."
+--
+2.43.1
+
diff --git a/dev-python/openapi-core/openapi-core-0.19.0.ebuild b/dev-python/openapi-core/openapi-core-0.19.0.ebuild
new file mode 100644
index 000000000000..efa7161fd2d2
--- /dev/null
+++ b/dev-python/openapi-core/openapi-core-0.19.0.ebuild
@@ -0,0 +1,76 @@
+# Copyright 2022-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=poetry
+PYTHON_COMPAT=( pypy3 python3_{10..12} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Client-side and server-side support for the OpenAPI Specification v3"
+HOMEPAGE="
+ https://github.com/python-openapi/openapi-core/
+ https://pypi.org/project/openapi-core/
+"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~riscv ~x86"
+
+RDEPEND="
+ <dev-python/asgiref-4[${PYTHON_USEDEP}]
+ >=dev-python/asgiref-3.6.0[${PYTHON_USEDEP}]
+ dev-python/isodate[${PYTHON_USEDEP}]
+ <dev-python/jsonschema-5[${PYTHON_USEDEP}]
+ >=dev-python/jsonschema-4.17.3[${PYTHON_USEDEP}]
+ <dev-python/jsonschema-path-0.4[${PYTHON_USEDEP}]
+ >=dev-python/jsonschema-path-0.3.1[${PYTHON_USEDEP}]
+ dev-python/more-itertools[${PYTHON_USEDEP}]
+ dev-python/parse[${PYTHON_USEDEP}]
+ <dev-python/openapi-schema-validator-0.7[${PYTHON_USEDEP}]
+ >=dev-python/openapi-schema-validator-0.6.0[${PYTHON_USEDEP}]
+ <dev-python/openapi-spec-validator-0.8[${PYTHON_USEDEP}]
+ >=dev-python/openapi-spec-validator-0.7.1[${PYTHON_USEDEP}]
+ dev-python/werkzeug[${PYTHON_USEDEP}]
+"
+
+BDEPEND="
+ test? (
+ >=dev-python/aiohttp-3.8.4[${PYTHON_USEDEP}]
+ >=dev-python/aioitertools-0.11.0[${PYTHON_USEDEP}]
+ dev-python/flask[${PYTHON_USEDEP}]
+ >=dev-python/httpx-0.24.0[${PYTHON_USEDEP}]
+ >=dev-python/pytest-aiohttp-1.0.4[${PYTHON_USEDEP}]
+ dev-python/responses[${PYTHON_USEDEP}]
+ >=dev-python/starlette-0.26.1[${PYTHON_USEDEP}]
+ dev-python/strict-rfc3339[${PYTHON_USEDEP}]
+ dev-python/webob[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+EPYTEST_IGNORE=(
+ # missing dependendencies
+ tests/integration/contrib/falcon
+ tests/integration/contrib/fastapi
+
+ # TODO: these tests fail to collect
+ tests/integration/validation/test_security_override.py
+ tests/integration/validation/test_read_only_write_only.py
+
+ # unhappy about modern django
+ tests/integration/contrib/django/test_django_project.py
+ tests/unit/contrib/django/test_django.py
+)
+
+src_prepare() {
+ local PATCHES=(
+ # https://github.com/python-openapi/openapi-core/pull/790
+ "${FILESDIR}/${P}-pytest-8.patch"
+ )
+
+ sed -i -e '/--cov/d' pyproject.toml || die
+ distutils-r1_src_prepare
+}
diff --git a/dev-python/pytest-testinfra/Manifest b/dev-python/pytest-testinfra/Manifest
index 309ffaa3554b..888a1a17ea55 100644
--- a/dev-python/pytest-testinfra/Manifest
+++ b/dev-python/pytest-testinfra/Manifest
@@ -1,3 +1,5 @@
DIST pytest-testinfra-10.0.0.tar.gz 84667 BLAKE2B 10c62340af7cb0a07cbc3c8099f0d22bbf8e3623e8c5f80dd45acef23ec178a2b090aa012e5602c7b67d0ef61ca9922d05e412e8db62384589080455326c8abc SHA512 3f289fccc3ba38ed1aa316adbb05ef74f51fbd1130ab7a39c5d56a11124de96c048aecef3a19438cd0d50d4891ed843671d9daf50fc5c3fb5c834164b276529d
+DIST pytest-testinfra-10.1.0.tar.gz 85117 BLAKE2B 3db43661def60ef9627bd888b92f409886f2d6f1ae1306a8d46bbcbe3363cf5ae9e79f9fab49f0d0f8d6529d677a40db04fc68597d0d11e0285a7e27a01283fb SHA512 98003ab250c06fc69ff015fc53af87aa642109866a86bdd679cc8876db614660f11f79c3146aef10c7b8f47723a13777cbad07276af661986129a5d0bfc11e1b
EBUILD pytest-testinfra-10.0.0.ebuild 1329 BLAKE2B 098905702f74318a34eb307d330b59d317e28ffc5028daea62fdab43b1a13adf862ca8e5313782edf3795302174ca4426fc207a23518031e13f49c674d72208f SHA512 59b4fc47a16264166f2d3b42017e12698d577ba9a74f45eda34b0ac7082a60da7ae285193e7d172069945af7fcaddf7146d78c85b35cd210f1f68c5588379228
+EBUILD pytest-testinfra-10.1.0.ebuild 1330 BLAKE2B 08054d045f525e6ad41439d15a341abc4272def509e20605c4d99fd85297b5d3c2c58087fe5734bc4cdfa6fe217a82dde39745c2f34022503eec21ccaa6b8ba7 SHA512 b610b0b8f2f829d45da0d89ea503f4127dc53f8c7d6f49ba817f47fa42ac7447ebb1da70562a150f792ddef36aac474b278037ad1e54fa39aab2125de3269bea
MISC metadata.xml 781 BLAKE2B e38dd6fa967258affb201d6474524e22124a1b8848cff08f3da88e97ff3e13597770c494ee040481967028ee4d82112fb3d38f1034cb7982288d859efe540a21 SHA512 b6c868e77d1202622086340ae284071eaf1b95948c84a8a00f06e819e72325346d7aa226931d1bb5a3f782f23656c1e65f4b21a74ee0cb70deabfd602f774e99
diff --git a/dev-python/pytest-testinfra/pytest-testinfra-10.1.0.ebuild b/dev-python/pytest-testinfra/pytest-testinfra-10.1.0.ebuild
new file mode 100644
index 000000000000..e558b74bb0bf
--- /dev/null
+++ b/dev-python/pytest-testinfra/pytest-testinfra-10.1.0.ebuild
@@ -0,0 +1,57 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYPI_NO_NORMALIZE=1
+PYTHON_COMPAT=( python3_{10..11} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Write unit tests in Python to test actual state of your servers"
+HOMEPAGE="
+ https://github.com/pytest-dev/pytest-testinfra/
+ https://pypi.org/project/pytest-testinfra/
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~riscv"
+
+RDEPEND="
+ dev-python/pytest[${PYTHON_USEDEP}]
+"
+# Ansible is called via its CLI
+BDEPEND="
+ dev-python/setuptools-scm[${PYTHON_USEDEP}]
+ test? (
+ app-admin/ansible
+ $(python_gen_cond_dep '
+ app-admin/salt[${PYTHON_USEDEP}]
+ ' python3_10)
+ dev-python/paramiko[${PYTHON_USEDEP}]
+ dev-python/pywinrm[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+python_test() {
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ local -x EPYTEST_DESELECT=()
+
+ # This is the only test which actually fails if salt cannot be imported
+ if ! has_version "dev-python/salt[${PYTHON_USEDEP}]"; then
+ EPYTEST_DESELECT+=(
+ test/test_backends.py::test_backend_importables
+ )
+ fi
+
+ epytest
+}
+
+pkg_postinst() {
+ elog "For the list of available connection back-ends and their dependencies,"
+ elog "please consult https://testinfra.readthedocs.io/en/latest/backends.html"
+}
diff --git a/dev-python/python3-xapp/Manifest b/dev-python/python3-xapp/Manifest
index 7c374d32ec52..d8845c16854c 100644
--- a/dev-python/python3-xapp/Manifest
+++ b/dev-python/python3-xapp/Manifest
@@ -1,3 +1,5 @@
+AUX python3-xapp-configurable-python-target.patch 979 BLAKE2B a0595f7fe64a0053e17452e0e994e9c5bdbdf2b28312d77bf35e665fe32109a7c9695fa1ca89572fef1899682446b44a75c459ae39f271359a2afd3f09fcb7db SHA512 b3313ab174936471580203167220dce8f0a66e4b507ee19af2aefbc2ed8a52a38d747abd8f080db415a3e8ee64f7faf490b29f805c24ff1d7cd60491f6572672
DIST python3-xapp-2.4.1.tar.gz 21181 BLAKE2B 460aba09d147d64c8102f66d059c6ab1f7c39893ce98844e59ab5954b690d81ab4b253cb6a17f9b3c781dfb5e965d1a4de859aaeff5ef65ab3f67a86a4c6e6c2 SHA512 97045061aa5965adcfe7301774dbd35a226fa9b846e31a7c097229cc417ff4008e518ebd5b600d4ce6a46daa39d51de70d391b6b0a7c78490419d3a96daca6a9
-EBUILD python3-xapp-2.4.1.ebuild 1168 BLAKE2B e714b60c0d1b40b0c997e5f3efeeb64006e965fdf73202a5d4d4cc398a7a44dd6d6f3bd4d1f1e217e501951c614d657e158dd0e11e2418400edf5a5b2825a7de SHA512 4903781e308a6cafe34fb3844d86145adeeb30bd5c0227ccb8b7997cd9ef83b054ace06fd6ff86c0fd6c6a6ee739e4abb0dd107ab7ee4aef3e8064aedf93d158
+EBUILD python3-xapp-2.4.1-r1.ebuild 1160 BLAKE2B 858f384f0c8cccffba4516338cd583a958dee04a7dd2198b423c900a6e20c02a98171c78bb8caaa3ab2ee0cdef313d7dbde04103b0af21501c2f699cd84ca738 SHA512 310ac48e070b6cf420d227eb2fcbeadd3080445aa56fd63952868bc66f5b2e2e62420d4edb83e46b0406c1f7ee04c3b1e350d5b70da19e6361c810a389388d0a
+EBUILD python3-xapp-2.4.1-r2.ebuild 1183 BLAKE2B 04f234a03847e0f75e0a491a3f2e9bf44ad2e436a83e073f98c2824f5c53eb01a8d4f17d010d3e8b1a99aefe63671d6200d45a4651c6be6ad79ae9f5d3c1c457 SHA512 6bf1407d731a8efd6fc24d38a64ef13669c1d09175b462b1c9e082de00b79737b1b14d256d0a24c23608cf9462495f42da66043312560c2a2cb637bc65024c8e
MISC metadata.xml 516 BLAKE2B e9429fe1f541d1763f644fb18fbef2bef3e105e943a7099792951a63a38c0083ae35e64160233ab48a8556d5bba96ad9031dc09fcdcf24033494d222e25a9cfa SHA512 b23a2d82ecbdb03abce2b3c40579c6aec5caad09b556c513600ded65d21ab56949ffe1eae0b04238f79c9e3c5c95a66a263e23281fcc2d16978c6a787e53c813
diff --git a/dev-python/python3-xapp/files/python3-xapp-configurable-python-target.patch b/dev-python/python3-xapp/files/python3-xapp-configurable-python-target.patch
new file mode 100644
index 000000000000..cdc6988934b9
--- /dev/null
+++ b/dev-python/python3-xapp/files/python3-xapp-configurable-python-target.patch
@@ -0,0 +1,31 @@
+From 70966ad200bf2a5e5769a2ac5f1d4da0a4a3aa51 Mon Sep 17 00:00:00 2001
+From: Sparky Bluefang <sparky@bluefang-logic.com>
+Date: Tue, 2 Jan 2024 22:19:46 -0500
+Subject: [PATCH] Make python installation configurable for distro packaging.
+
+---
+ meson.build | 2 +-
+ meson_options.txt | 1 +
+ 2 files changed, 2 insertions(+), 1 deletion(-)
+ create mode 100644 meson_options.txt
+
+diff --git a/meson.build b/meson.build
+index a9b67ca..a930803 100644
+--- a/meson.build
++++ b/meson.build
+@@ -1,7 +1,7 @@
+ project('python-xapp', version: '2.4.1', meson_version: '>=0.47.0')
+
+ pymod = import('python')
+-python3 = pymod.find_installation('python3')
++python3 = pymod.find_installation(get_option('python_target'))
+
+ subdir('xapp')
+
+diff --git a/meson_options.txt b/meson_options.txt
+new file mode 100644
+index 0000000..689a9c9
+--- /dev/null
++++ b/meson_options.txt
+@@ -0,0 +1 @@
++option('python_target', type: 'string', value: 'python3', description: 'Python installation to target')
diff --git a/dev-python/python3-xapp/python3-xapp-2.4.1.ebuild b/dev-python/python3-xapp/python3-xapp-2.4.1-r1.ebuild
index 6492fcd562ef..f10dee3075c2 100644
--- a/dev-python/python3-xapp/python3-xapp-2.4.1.ebuild
+++ b/dev-python/python3-xapp/python3-xapp-2.4.1-r1.ebuild
@@ -1,9 +1,9 @@
-# Copyright 1999-2023 Gentoo Authors
+# Copyright 1999-2024 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
-PYTHON_COMPAT=( python3_{9..11} )
+PYTHON_COMPAT=( python3_{10..11} )
inherit meson python-r1
@@ -14,11 +14,10 @@ SRC_URI="https://github.com/linuxmint/python3-xapp/archive/${PV}.tar.gz -> ${P}.
LICENSE="LGPL-2+"
SLOT="0"
KEYWORDS="amd64 ~arm64 ~loong ~ppc64 ~riscv x86"
-IUSE=""
REQUIRED_USE="${PYTHON_REQUIRED_USE}"
DEPEND="
- >=x11-libs/xapp-2.4.1[introspection]
+ <x11-libs/xapp-2.8.0[introspection]
"
RDEPEND="
${DEPEND}
diff --git a/dev-python/python3-xapp/python3-xapp-2.4.1-r2.ebuild b/dev-python/python3-xapp/python3-xapp-2.4.1-r2.ebuild
new file mode 100644
index 000000000000..b031ce2f5d94
--- /dev/null
+++ b/dev-python/python3-xapp/python3-xapp-2.4.1-r2.ebuild
@@ -0,0 +1,58 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{10..12} )
+
+inherit meson python-r1
+
+DESCRIPTION="Python bindings for x11-libs/xapp"
+HOMEPAGE="https://github.com/linuxmint/python3-xapp"
+SRC_URI="https://github.com/linuxmint/python3-xapp/archive/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="LGPL-2+"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~loong ~ppc64 ~riscv ~x86"
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+
+DEPEND="
+ $(python_gen_cond_dep '
+ >=x11-libs/xapp-2.8.1[introspection,${PYTHON_USEDEP}]
+ ')
+"
+RDEPEND="
+ ${DEPEND}
+ ${PYTHON_DEPS}
+ dev-python/psutil[${PYTHON_USEDEP}]
+"
+
+PATCHES=(
+ # Make python installation configurable for distro packaging
+ # https://github.com/linuxmint/python3-xapp/pull/23
+ "${FILESDIR}"/${PN}-configurable-python-target.patch
+)
+
+src_configure() {
+ configuring() {
+ meson_src_configure \
+ -Dpython_target="${EPYTHON}"
+ }
+ python_foreach_impl configuring
+}
+
+src_compile() {
+ python_foreach_impl meson_src_compile
+}
+
+src_test() {
+ python_foreach_impl meson_src_test
+}
+
+src_install() {
+ installing() {
+ meson_src_install
+ python_optimize
+ }
+ python_foreach_impl installing
+}